Index: /applications/dual/IterativeLocal/text/bpkomplet.lyx
===================================================================
--- /applications/dual/IterativeLocal/text/bpkomplet.lyx (revision 908)
+++ /applications/dual/IterativeLocal/text/bpkomplet.lyx (revision 922)
@@ -622,13 +622,4 @@
 \end_layout
 
-\begin_layout Labeling
-\labelwidthstring 00.00.0000
-
-\color red
-DDP
-\color inherit
- diferenciální dynamické programování
-\end_layout
-
 \begin_layout Standard
 \begin_inset Newpage newpage
@@ -748,11 +739,12 @@
  Otestovat jeho funkčnost a schopnost řídit a to i v porovnání s jinými
  metodami a algoritmy.
- 
+ Dále se pokusit implementovat algoritmus iLDP pro složitější systém blíže
+ praktické aplikaci, konkrétně se jedná o synchronní motor s permanentními
+ magnety.
+ Otestovat funkčnost a případně srovnat s dostupnými výsledky jiných řídících
+ strategii
 \emph on
 \color blue
-Dále implementovat algoritmus iLDP pro složitější systém blíže praktické
- aplikaci, konkrétně se jedná o synchronní motor s permanentními magnety.
- Opět otestovat funkčnost a případně srovnat s dostupnými výsledky jiných
- řídících strategii.
+.
 
 \emph default
@@ -768,12 +760,7 @@
  získání přehledu, pro které praktické aplikace je vhodnější respektive
  méně vhodný než srovnávané metody.
- Prvotní očekávání pro srovnání algoritmu iLDP a 
-\emph on
-\color blue
-principu separace
-\emph default
-\color inherit
- jsou, že iLDP bude pomalejší co do výpočetního času, avšak přesnost získaných
- výsledků bude lepší.
+ Prvotní očekávání pro srovnání algoritmu iLDP a řízení získaného pomocí
+ principu separace jsou, že iLDP bude pomalejší co do výpočetního času,
+ avšak přesnost získaných výsledků bude lepší.
  Dále je očekávána nezanedbatelná závislost výsledného řízení na volbě použitých
  aproximací a apriorní řídící strategie.
@@ -996,7 +983,7 @@
 
 \emph on
- testování
-\emph default
- - určit neznáme parametry.
+ buzení 
+\emph default
+- určit neznáme parametry.
  Tyto dva přístupy jsou ale obecně v rozporu.
  Abychom mohli systém dobře řídit, potřebujeme znát parametry co nejpřesněji.
@@ -1886,6 +1873,4 @@
  Nyní je pro něj možno napsat algoritmus dynamického programování.
  
-\color blue
-(možná sem dát i rovnice DP)
 \end_layout
 
@@ -2042,7 +2027,7 @@
 
 \emph on
-ovladač
-\emph default
- (regulátor), který generuje vstupy (řízení) pro systém jako funkci rozdělení
+regulátor
+\emph default
+ (akurátor), který generuje vstupy (řízení) pro systém jako funkci rozdělení
  pravděpodobnosti 
 \begin_inset Formula $P_{x_{k}|I_{k}}$
@@ -2059,4 +2044,11 @@
 \begin_layout Subsection
 Kalmanův filtr
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Kalmanův-filtr"
+
+\end_inset
+
+
 \end_layout
 
@@ -2982,8 +2974,4 @@
 \begin_layout Standard
 S výše zmíněnými problémy se snaží vypořádat modifikovaná iLQG, která bude
- 
-\color red
-možná
-\color inherit
  použita pro srovnání s ústřední metodou této práce iLDP.
  Dále pak do kategorie smíšených metod spadá právě i metoda iLDP, která
@@ -2997,15 +2985,389 @@
 
 \begin_layout Subsection
+Princip separace
+\end_layout
+
+\begin_layout Standard
+
+\emph on
+Princip separace
+\emph default
+ nebo také 
+\emph on
+separační teorém pro lineární systémy s kvadratickou ztrátovou funkcí
+\emph default
+ zaujímá důležité místo v moderní teorii řízení.
+ Intuitivně je velmi jednoduchý.
+ Podle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "BertsekasDPOC"
+
+\end_inset
+
+ je formulován následovně: 
+\end_layout
+
+\begin_layout Standard
+Optimální řízení pro lineární systém může být rozděleno do dvou částí:
+\end_layout
+
+\begin_layout Enumerate
+
+\emph on
+pozorovatel
+\emph default
+ (estimátor), který využívá měřená data k odhadu stavu systému,
+\end_layout
+
+\begin_layout Enumerate
+
+\emph on
+regulátor
+\emph default
+ (akurátor), který generuje ze stavu, respektive jeho odhadu, řízení pro
+ systém.
+\end_layout
+
+\begin_layout Standard
+Navíc část optimálního řízení označená jako 
+\emph on
+pozorovatel
+\emph default
+ je optimálním řešením problému určování (estimace) stavu nezávisle na uvažování
+ řízení a část označená jako 
+\emph on
+regulátor 
+\emph default
+je optimální řešení řídícího problému za předpokladu úplné stavové informace.
+ Každá část tedy může být navrhována nezávisle na sobě jako optimální řešení
+ příslušných problémů estimace a regulace.
+\end_layout
+
+\begin_layout Subsection
 LQG
-\end_layout
-
-\begin_layout Standard
-
-\color blue
-(iLQG)
-\end_layout
-
-\begin_layout Subsection
-Princip separace
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:LQGkp1"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Řízení LQG (z anglického 
+\begin_inset Quotes gld
+\end_inset
+
+Linear-Quadratic-Gaussian
+\begin_inset Quotes grd
+\end_inset
+
+) je primárně navrženo pro řízení lineárních systémů s kvadratickou ztrátovou
+ funkci a Gaussovským šumem.
+ Existují však různé modifikace i pro nelineární systémy.
+ Algoritmus LQG je založen právě na 
+\emph on
+principu separace 
+\emph default
+kdy pozorovatel a regulátor jsou navrhovány zvlášť.
+ Optimálním pozorovatelem je zde Kalmanův filtr a lze jej užít například
+ ve tvaru, jak byl uveden v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Kalmanův-filtr"
+
+\end_inset
+
+.
+ Optimálním regulátorem pak řízení označované jako LQ regulátor, které může
+ být formulováno podle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "BertsekasDPOC"
+
+\end_inset
+
+ následovně:
+\end_layout
+
+\begin_layout Paragraph
+LQ regulátor
+\end_layout
+
+\begin_layout Standard
+pro lineární systém 
+\begin_inset Formula \[
+x_{k+1}=A_{k}x_{k}+B_{k}u_{k}+w_{k},\quad k=0,1,\ldots,N-1,\]
+
+\end_inset
+
+s kvadratickou ztrátovou funkcí
+\begin_inset Formula \[
+\mathbf{E}\left\{ x_{N}^{T}Q_{N}x_{N}+\sum_{k=0}^{N-1}\left(x_{k}^{T}Q_{k}x_{k}+u_{k}^{T}R_{k}u_{k}\right)\right\} ,\]
+
+\end_inset
+
+při uvažování neúplné stavové informace je optimálním řízením v každém čase
+ rovno
+\begin_inset Formula \[
+\mu_{k}^{*}(I_{k})=L_{k}\mathrm{E}\left\{ x_{k}\mid I_{k}\right\} ,\]
+
+\end_inset
+
+kde matice 
+\begin_inset Formula $L_{k}$
+\end_inset
+
+ je dána rovností
+\begin_inset Formula \[
+L_{k}=-\left(R_{k}+B_{k}^{T}K_{k+1}B_{k}\right)^{-1}B_{k}^{T}K_{k+1}A_{k},\]
+
+\end_inset
+
+přičemž matice 
+\begin_inset Formula $K_{k}$
+\end_inset
+
+ získáme rekurzivně z Riccatiho rovnice
+\begin_inset Formula \begin{eqnarray*}
+K_{N} & = & Q_{N},\\
+K_{k} & = & A_{k}^{T}\left(K_{k+1}-K_{k+1}B_{k}\left(R_{k}+B_{k}^{T}K_{k+1}B_{k}\right)^{-1}B_{k}^{T}K_{k+1}\right)A_{k}+Q_{k}.\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Paragraph
+Zobecněné iterativní LQG řízení
+\end_layout
+
+\begin_layout Standard
+V článku 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "TodorovWeiweiILQG"
+
+\end_inset
+
+ je popsán algoritmus 
+\emph on
+zobecněného iterativního LQG 
+\emph default
+řízení (iLQG) pro účely nalezení lokálního zpětnovazebního řízení nelineárních
+ stochastických systémů s kvadratickou ztrátou, ale navíc lze požadovat
+ i omezené vstupy.
+ Obecně zahrnutí požadavku na omezené vstupy do ztrátové funkce způsobí
+ porušení její kvadratičnosti, zmiňovaný algoritmus však řeší problém jinak,
+ konkrétně následnou korekcí rovnic pro výpočet řízení.
+ Dále s nelinearitou se algoritmus vypořádává tak, že systém v každém časovém
+ kroku linearizuje vzhledem k reprezentativní trajektorii.
+ Linearizovaný systém je pak řešen klasickým přístupem LQG, avšak v jeho
+ průběhu je do výpočtů ještě zasahováno.
+ Jsou prováděny úpravy dílčích výsledků a opravy chyb z důvodu práce s linearozo
+vaným nelineárním systémem pro zajištění konvergence algoritmu.
+ Samotný algoritmus je odvozen a detailně popsám v 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "TodorovWeiweiILQG"
+
+\end_inset
+
+ odkud je převzat následující zestručněný popis:
+\end_layout
+
+\begin_layout Paragraph
+iLQG lokální řízení
+\end_layout
+
+\begin_layout Standard
+pro obecně nelineární stochastický systém 
+\begin_inset Formula \begin{eqnarray}
+x_{k+1} & = & x_{k}+f(x_{k},u_{k})\cdot\Delta k+F(x_{k},u_{k})\cdot e_{k},\; k=0,1,\ldots,N-1,\label{eq:systemilqgdef}\\
+x_{(k=0)} & = & x_{0},\nonumber \end{eqnarray}
+
+\end_inset
+
+se ztrátovou funkcí
+\begin_inset Formula \[
+\mathrm{E}\left\{ h(x_{N})+\sum_{k=0}^{N-1}l(k,x_{k},u_{k})\right\} \]
+
+\end_inset
+
+je lokálně optimální řízení, které konstruujeme iterativně.
+ Každá iterace začíná s posloupností přímovazebních řízení 
+\begin_inset Formula $\overline{u}_{k}$
+\end_inset
+
+ a odpovídající bezšumovou trajektorií 
+\begin_inset Formula $\overline{x}_{k}$
+\end_inset
+
+ získanou aplikací 
+\begin_inset Formula $\overline{u}_{k}$
+\end_inset
+
+ na systém 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:systemilqgdef"
+
+\end_inset
+
+ s nulovým šumem.
+ To je možno provést například pomocí Eulerovy integrace.
+ Pak linearizujeme systém a kvadratizujeme ztrátu podél trajektorií 
+\begin_inset Formula $\overline{x}_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $\overline{u}_{k}$
+\end_inset
+
+.
+ Následně získaný lineární systém s kvadratickou ztrátou vyjádříme v odchylkách
+ stavových a řídících veličin od bezšumové trajektorie 
+\begin_inset Formula $\delta x_{k}=x_{k}-\overline{x}_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $\delta u_{k}=u_{k}-\overline{u}_{k}$
+\end_inset
+
+.
+ Veličiny charakterizující modifikovaný problém získané v každém čase 
+\begin_inset Formula $k$
+\end_inset
+
+ z 
+\begin_inset Formula $(\overline{x}_{k},\overline{u}_{k})$
+\end_inset
+
+ jsou
+\begin_inset Formula \begin{eqnarray*}
+A_{k} & = & I+\frac{\partial f}{\partial x}\cdot\Delta k,\quad B_{k}=\frac{\partial f}{\partial u}\cdot\Delta k,\\
+\mathbf{c}_{i,k} & = & F^{[i]}\cdot\sqrt{\Delta k},\quad C_{i,k}=\frac{\partial F^{[i]}}{\partial u}\cdot\sqrt{\Delta k},\\
+q_{k} & = & l\cdot\Delta k,\quad\mathbf{q}_{k}=\frac{\partial l}{\partial x}\cdot\Delta k,\\
+Q_{k} & = & \frac{\partial^{2}l}{\partial x\partial x}\cdot\Delta k,\quad P_{k}=\frac{\partial^{2}l}{\partial u\partial x}\cdot\Delta k,\\
+\mathbf{r}_{k} & = & \frac{\partial l}{\partial u}\cdot\Delta k,\quad R_{k}=\frac{\partial^{2}l}{\partial u\partial u},\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $F^{[i]}$
+\end_inset
+
+ označuje 
+\begin_inset Formula $i$
+\end_inset
+
+-tý sloupec matice 
+\begin_inset Formula $F$
+\end_inset
+
+ a veličiny 
+\begin_inset Quotes gld
+\end_inset
+
+q
+\begin_inset Quotes grd
+\end_inset
+
+ se počítají v čase 
+\begin_inset Formula $k=N$
+\end_inset
+
+ z funkce 
+\begin_inset Formula $h$
+\end_inset
+
+ namísto 
+\begin_inset Formula $l$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Dále zaveďme označení
+\begin_inset Formula \begin{eqnarray*}
+\mathbf{g}_{k} & = & \mathbf{r}_{k}+B_{k}^{T}\mathbf{s}_{k+1}+\sum_{i}C_{i,k}^{T}S_{k+1}\mathbf{c}_{i,k},\\
+G_{k} & = & P_{k}+B_{k}^{T}S_{k+1}A_{k},\\
+H_{k} & = & R_{k}+B_{k}^{T}S_{k+1}B_{k}+\sum_{i}C_{i,k}^{T}S_{k+1}C_{i,k}.\end{eqnarray*}
+
+\end_inset
+
+Zpětnovazební řízení pak hledáme ve tvaru 
+\begin_inset Formula $\delta u_{k}(\delta x)=\mathbf{l}_{k}+L_{k}\delta x$
+\end_inset
+
+, kde 
+\begin_inset Formula $\mathbf{l}_{k}=-H_{k}^{-1}\mathbf{g}_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{k}=-H_{k}^{-1}G_{k}$
+\end_inset
+
+.
+ Přičemž parametry 
+\begin_inset Formula $S_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $\mathbf{s}_{k}$
+\end_inset
+
+ jsou počítány rekurzivně z rovnic
+\begin_inset Formula \begin{eqnarray}
+S_{k} & = & Q_{k}+A_{k}^{T}S_{k+1}A_{k}+L_{k}^{T}H_{k}L_{k}+L_{k}^{T}G_{k}+G_{k}^{T}L_{k},\label{eq:rovniceSproiLQG}\\
+\mathbf{s}_{k} & = & \mathbf{q}_{k}+A_{k}^{T}\mathbf{s}_{k+1}+L_{k}^{T}H_{k}\mathbf{l}_{k}+L_{k}^{T}\mathbf{g}_{k}+G_{k}^{T}\mathbf{l}_{k}.\nonumber \end{eqnarray}
+
+\end_inset
+
+V důsledku linearizace obecně nelineárního systému mohou vyjít některá vlastní
+ čísla matice 
+\begin_inset Formula $H$
+\end_inset
+
+ nulová nebo záporná.
+ Řešení tohoto problému spolu s ošetřením požadavku na omezené vstupy 
+\begin_inset Formula $u$
+\end_inset
+
+ je detailně popsáno v 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "TodorovWeiweiILQG"
+
+\end_inset
+
+.
+ Pokud však nepotřebujeme vyhovět požadavku na nekladná vlastní čísla matice
+ 
+\begin_inset Formula $H$
+\end_inset
+
+ a omezené vstupy, lze rovnice 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovniceSproiLQG"
+
+\end_inset
+
+ zjednodušit a pokud dále šum nezávisí na řízení (tedy 
+\begin_inset Formula $C_{i,k}=0$
+\end_inset
+
+) rovnice 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovniceSproiLQG"
+
+\end_inset
+
+ se redukuje na Riccatiho rovnici klasického LQ regulátoru.
 \end_layout
 
@@ -3039,6 +3401,6 @@
  a mnoho detailů a dílčích částí je ponecháno na vyřešení při konkrétní
  realizaci.
- To se týká zejména použitých aproximací pro jednotlivé funkce, zejména
- aproximace Bellmanovy funkce a aproximace hledaného regulátoru.
+ To se týká hlavně použitých aproximací pro jednotlivé funkce, zejména aproximac
+e Bellmanovy funkce a aproximace hledaného regulátoru.
  Dále, protože algoritmus využívá hledání minima, není v základním popisu
  algoritmu vyřešen konkrétní typ minimalizace.
@@ -3069,5 +3431,5 @@
 \begin_layout Standard
 Naším úkolem je nalézt řízení 
-\begin_inset Formula $\mathbf{u}=\pi(t,\mathbf{\, x})$
+\begin_inset Formula $u=\pi(t,x)$
 \end_inset
 
@@ -3078,5 +3440,5 @@
 \align center
 \begin_inset Formula \[
-J(\pi)=E_{\omega}\left(h(\mathbf{x},\pi(t,\mathbf{x}))+\int_{0}^{T}l(\mathbf{x},\pi(t,\mathbf{x}))dt\right)\]
+J(\pi)=E_{\omega}\left(h(x)+\int_{0}^{T}l(x,\pi(t,x))dt\right),\]
 
 \end_inset
@@ -3091,7 +3453,7 @@
 \begin_layout Standard
 \begin_inset Formula \begin{eqnarray}
-d\mathbf{x} & = & \mathbf{f}(\mathbf{x},\mathbf{u})dt+F(\mathbf{x},\mathbf{u})d\omega\nonumber \\
-\mathbf{x}(0) & = & \mathbf{x}_{0}\label{eq:systemSpoj}\\
-t & \in & [0,T]\nonumber \end{eqnarray}
+d\mathbf{x} & = & f(x,u)dt+F(x,u)d\omega,\nonumber \\
+x(0) & = & x_{0},\label{eq:systemSpoj}\\
+t & \in & [0,T],\nonumber \end{eqnarray}
 
 \end_inset
@@ -3106,8 +3468,8 @@
 \begin_layout Standard
 \begin_inset Formula \begin{eqnarray}
-\mathbf{x}_{k+1}-\mathbf{x}_{k} & = & \mathbf{f}(\mathbf{x},\mathbf{u})\cdot\Delta k+F(\mathbf{x},\mathbf{u})e_{k}\nonumber \\
-\mathbf{x}_{(k=0)} & = & \mathbf{x}_{0}\label{eq:systemDis}\\
-k & \in & \{0,1,\ldots,N\}\nonumber \\
-\Delta k & = & (k+1)-(k)\nonumber \end{eqnarray}
+x_{k+1}-x_{k} & = & f(x,u)\cdot\Delta k+F(x,u)e_{k},\nonumber \\
+x_{(k=0)} & = & x_{0},\label{eq:systemDis}\\
+k & \in & \{0,1,\ldots,N\},\nonumber \\
+\Delta k & = & \frac{T}{N},\nonumber \end{eqnarray}
 
 \end_inset
@@ -3118,17 +3480,13 @@
 \begin_layout Standard
 kde hledáme řízení 
-\begin_inset Formula $\mathbf{u}=\pi(k,\mathbf{\, x})$
-\end_inset
-
-, které minimalizuje očekávanou ztrátu 
-\series bold
-\emph on
-\color red
-asi
+\begin_inset Formula $u=\pi(k,x)$
+\end_inset
+
+, které minimalizuje očekávanou ztrátu
 \end_layout
 
 \begin_layout Standard
 \begin_inset Formula \[
-J(\pi)=E\left(h(\mathbf{x},\pi(N,\mathbf{x}))+\sum_{k=0}^{N-1}l_{k}(\mathbf{x},\pi(k,\mathbf{x}))\Delta k\right)\]
+J(\pi)=E\left(h(x)+\sum_{k=0}^{N-1}l_{k}(x,\pi(k,x))\cdot\Delta k\right).\]
 
 \end_inset
@@ -3139,4 +3497,11 @@
 \begin_layout Subsection
 Osnova algoritmu
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:iLDP-Osnova-algoritmu"
+
+\end_inset
+
+
 \end_layout
 
@@ -3159,5 +3524,5 @@
  kombinaci starého a algoritmem nalezeného řešení 
 \begin_inset Formula \[
-\pi^{nové}=\alpha\pi'+(1-\alpha)\pi;\;0<\alpha\leq1;\; J(\pi^{nové})<J(\pi)\]
+\pi^{nové}=\alpha\pi'+(1-\alpha)\pi;\;0<\alpha\leq1;\; J(\pi^{nové})<J(\pi).\]
 
 \end_inset
@@ -3168,5 +3533,5 @@
 \begin_layout Standard
 V každé iteraci proběhne nejprve přípravná fáze, kdy z řízení 
-\begin_inset Formula $\pi(k,\mathbf{x})$
+\begin_inset Formula $\pi(k,x)$
 \end_inset
 
@@ -3195,9 +3560,9 @@
 \emph default
 Následně se počítá aproximace 
-\begin_inset Formula $\tilde{V}(k,\mathbf{x})$
+\begin_inset Formula $\tilde{V}(k,x)$
 \end_inset
 
  Bellmanovy funkce 
-\begin_inset Formula $V(k,\mathbf{x})$
+\begin_inset Formula $V(k,x)$
 \end_inset
 
@@ -3213,5 +3578,5 @@
 .
  Současně počítáme i aproximaci řízení 
-\begin_inset Formula $\pi'(k,\mathbf{x})\ldots\pi'(N-1,\mathbf{x})$
+\begin_inset Formula $\pi'(k,x)\ldots\pi'(N-1,x)$
 \end_inset
 
@@ -3230,5 +3595,5 @@
 
  hodnotu aproximace Bellmanovy funkce 
-\begin_inset Formula $\tilde{V}(N,\mathbf{x})=h(\mathbf{x})$
+\begin_inset Formula $\tilde{V}(N,x)=h(x)$
 \end_inset
 
@@ -3238,29 +3603,161 @@
 \begin_layout Enumerate
 Generujeme množinu stavů 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)}\right\} _{n=1\ldots M}$
+\begin_inset Formula $\left\{ x^{(n)}\right\} _{n=1\ldots M}$
 \end_inset
 
  shromážděných kolem průměrného stavu 
-\begin_inset Formula $\bar{\mathbf{x}}(k)$
-\end_inset
-
-.
-\end_layout
-
-\begin_deeper
-\begin_layout Standard
+\begin_inset Formula $\bar{x}(k)$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Enumerate
+Pro každé 
+\begin_inset Formula $x^{(n)}$
+\end_inset
+
+ vypočítáme optimální řízení 
+\begin_inset Formula $u^{(n)}$
+\end_inset
+
+ minimalizací Hamiltoniánu 
+\begin_inset Formula \[
+H(k,x,u)=l(x,u)+f(x,u)^{T}\tilde{V}_{x}(k+1,x)+\frac{1}{2}\mathbf{tr}\left(\sum(x,u)\tilde{V}_{xx}(k+1,x)\right)\]
+
+\end_inset
+
+s inicializačním bodem 
+\begin_inset Formula $\pi(k,x^{(n)})$
+\end_inset
+
+.
+ Kde 
+\begin_inset Formula $\Sigma(x,u)=F(x,u)F(x,u)^{T}$
+\end_inset
+
+.
+ Tedy optimální řízení v čase 
+\begin_inset Formula $k$
+\end_inset
+
+ pro stav 
+\begin_inset Formula $n$
+\end_inset
+
+ hledáme jako 
+\begin_inset Formula \[
+u^{(n)}=\arg\min_{u}H(k,x,u).\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+Pro každé 
+\begin_inset Formula $x(k)$
+\end_inset
+
+ aproximovat 
+\begin_inset Formula $v^{(n)}=V(k,x^{(n)})$
+\end_inset
+
+ použitím Hamolton-Jacobi-Bellmanovi rovnosti 
+\begin_inset Formula \[
+V(k,x^{(n)})\approx\Delta k\cdot H(k,x^{(n)},u^{(n)})+\tilde{V}(k+1,x^{(n)}).\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+Vypočítat novou aproximaci funkce 
+\begin_inset Formula $\tilde{V}(k,x)$
+\end_inset
+
+ z množiny bodů 
+\begin_inset Formula $\left\{ x^{(n)},v^{(n)}\right\} $
+\end_inset
+
+ a aproximaci řízení 
+\begin_inset Formula $\pi'(k,x^{(n)})$
+\end_inset
+
+ definované pro všechna 
+\begin_inset Formula $x$
+\end_inset
+
+ jako z množiny bodů 
+\begin_inset Formula $\left\{ x^{(n)},u^{(n)}\right\} $
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection
+Detaily implementace
+\end_layout
+
+\begin_layout Standard
+Uvedený obecný popis algoritmu může být aplikován mnoha způsoby v závislosti
+ na konkrétních volbách v každém z kroků algoritmu.
+ Jedná se zejména o následující případy:
+\end_layout
+
+\begin_layout Description
+Volba
+\begin_inset space ~
+\end_inset
+
+okolí
+\begin_inset space ~
+\end_inset
+
+v
+\begin_inset space ~
+\end_inset
+
+
+\emph on
+bodě
+\begin_inset space ~
+\end_inset
+
+1.
+
+\emph default
+ 
+\emph on
+
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\emph default
+
+\begin_inset Newline newline
+\end_inset
+
 Zde se projevuje lokálnost metody.
  Množina stavů 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)}\right\} $
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
 \end_inset
 
  je vybrána z okolí průměrného stavu 
-\begin_inset Formula $\bar{\mathbf{x}}(k)$
+\begin_inset Formula $\bar{x}(k)$
 \end_inset
 
 .
  Toto okolí a způsob výběru množiny je třeba konkrétně specifikovat.
- Pro účely implementace tohoto algoritmu bylo okolí specifikováno parametrem
- 
+ Pro účely implementace algoritmu bylo okolí specifikováno parametrem 
 \begin_inset Formula $\rho^{2}$
 \end_inset
@@ -3268,10 +3765,10 @@
 .
  Množina stavů 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)}\right\} $
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
 \end_inset
 
  pak byla generována náhodně jako náhodná veličina s normálním rozdělením
  se střední hodnotou rovnou průměrnému stavu 
-\begin_inset Formula $\bar{\mathbf{x}}(k)$
+\begin_inset Formula $\bar{x}(k)$
 \end_inset
 
@@ -3293,47 +3790,37 @@
 \end_layout
 
-\end_deeper
-\begin_layout Enumerate
-Pro každé 
-\begin_inset Formula $\mathbf{x}^{(n)}$
-\end_inset
-
- vypočítáme optimální řízení 
-\begin_inset Formula $\mathbf{u}^{(n)}$
-\end_inset
-
- minimalizací Hamiltoniánu 
-\begin_inset Formula \[
-H(k,\mathbf{x},\mathbf{u})=\mathbf{l}(\mathbf{x},\mathbf{u})+\mathbf{f}(\mathbf{x},\mathbf{u})^{T}\tilde{V}_{x}(k+1,\mathbf{x})+\frac{1}{2}\mathbf{tr}\left(\sum(\mathbf{x},\mathbf{u})\tilde{V}_{xx}(k+1,\mathbf{x})\right)\]
-
-\end_inset
-
-s inicializačním bodem 
-\begin_inset Formula $\pi(k,\mathbf{x}^{(n)})$
-\end_inset
-
-.
- Kde 
-\begin_inset Formula $\Sigma(\mathbf{x},\mathbf{u})=\mathbf{F}(\mathbf{x},\mathbf{u})\mathbf{F}(\mathbf{x},\mathbf{u})^{T}$
-\end_inset
-
-.
- Tedy optimální řízení v čase 
-\begin_inset Formula $k$
-\end_inset
-
- pro stav 
-\begin_inset Formula $n$
-\end_inset
-
- hledáme jako 
-\begin_inset Formula $\mathbf{u}^{(n)}=\arg\min_{\mathbf{u}}H(k,\mathbf{x},\mathbf{u})$
-\end_inset
-
-.
-\end_layout
-
-\begin_deeper
-\begin_layout Standard
+\begin_layout Description
+Minimalizace
+\begin_inset space ~
+\end_inset
+
+v
+\begin_inset space ~
+\end_inset
+
+
+\emph on
+bodě
+\begin_inset space ~
+\end_inset
+
+2.
+
+\emph default
+ 
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\begin_inset Newline newline
+\end_inset
+
 Pro minimalizaci lze použít například minimalizační funkce programu 
 \emph on
@@ -3353,57 +3840,94 @@
 \family default
  pro neomezenou respektive omezenou minimalizaci.
- V případě, že by bylo možno spočítat minimalizaci analyticky, jedná se
- samozřejmě o nejlepší způsob.
-\end_layout
-
-\end_deeper
-\begin_layout Enumerate
-Pro každé 
-\begin_inset Formula $\mathbf{x}(k)$
-\end_inset
-
- aproximovat 
-\begin_inset Formula $v^{(n)}=V(k,\mathbf{x}^{(n)})$
-\end_inset
-
- použitím Hamolton-Jacobi-Bellmanovi rovnosti 
-\begin_inset Formula \[
-V(k,\mathbf{x}^{(n)})\approx\Delta k\cdot H(k,\mathbf{x}^{(n)},\mathbf{u}^{(n)})+\tilde{V}(k+1,\mathbf{x}^{(n)})\]
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-Vypočítat novou aporximaci funkce 
-\begin_inset Formula $\tilde{V}(k,\mathbf{x})$
-\end_inset
-
- z množiny bodů 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)},v^{(n)}\right\} $
+ V případě, kdy je možno spočítat minimalizaci analyticky, jedná se samozřejmě
+ o nejlepší způsob.
+\end_layout
+
+\begin_layout Description
+Použití
+\begin_inset space ~
+\end_inset
+
+aproximací
+\begin_inset space ~
+\end_inset
+
+v
+\emph on
+
+\begin_inset space ~
+\end_inset
+
+bodě
+\begin_inset space ~
+\end_inset
+
+4.
+
+\emph default
+ 
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\begin_inset Newline newline
+\end_inset
+
+Aproximace je třeba zvolit ještě před zahájením výpočtu algoritmu, avšak
+ právě v 
+\emph on
+bodě 4.
+
+\emph default
+ je třeba je vypočítat z množiny párů hodnot.
+ Konkrétně se jedná o aproximaci Bellmanovy funkce 
+\begin_inset Formula $\tilde{V}$
 \end_inset
 
  a aproximaci řízení 
-\begin_inset Formula $\pi'(k,\mathbf{x}^{(n)})$
-\end_inset
-
- definované pro všechna 
-\begin_inset Formula $x$
-\end_inset
-
- jako z množiny bodů 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)},\mathbf{u}^{(n)}\right\} $
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection
-Detaily implementace
+\begin_inset Formula $\pi$
+\end_inset
+
+.
+ Volíme aproximace v jednodušším tvaru z důvodu výpočetní náročnosti, protože
+ jsou počítány opakovaně.
+ Dále je nutno vygenerovat dostatečný počet 
+\begin_inset Formula $M$
+\end_inset
+
+ vzorků 
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
+\end_inset
+
+ v 
+\emph on
+bodě 1.
+ 
+\emph default
+abychom měli dostatek dat pro určení koeficientů aproximací.
+ I když nám volnost ve volbě aproximací přináší relativně velkou svobodu
+ při návrhu algoritmu iLDP, jedná se současně i o největší slabinu, protože
+ autoři explicitně neuvadějí jaké aproximace volit.
+ Následně, při implementaci algoritmu pro systém s větším počtem dimenzí,
+ může být Bellmanova funkce velmi složitá a právě její vhodnou aproximaci
+ se nemusí podařit nalézt.
 \end_layout
 
 \begin_layout Subsection
 Konkrétní použité aproximace
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Konkrétní-použité-aproximace-iLDP"
+
+\end_inset
+
+
 \end_layout
 
@@ -3425,5 +3949,5 @@
 
 .
- Jako základní funkce jsou voleny funkce 
+ Jako základní funkce mohou být voleny například funkce 
 \begin_inset Formula $1,\: x_{i},\: x_{i}x_{j},\: x_{i}^{2}x_{j}$
 \end_inset
@@ -3431,5 +3955,5 @@
 .
  Aproximace je volena jako časově proměnná, kdy 
-\begin_inset Formula $\tilde{V}(k,\mathbf{x})=\phi(\mathbf{x}-\bar{\mathbf{x}}(k))^{T}\mathbf{w}(k)$
+\begin_inset Formula $\tilde{V}(k,x)=\phi(x-\bar{x}(k))^{T}\mathbf{w}(k)$
 \end_inset
 
@@ -3456,5 +3980,5 @@
 
  první a druhou derivaci aproximace Bellmanovy funkce podle proměnné 
-\begin_inset Formula $\mathbf{x}$
+\begin_inset Formula $x$
 \end_inset
 
@@ -3482,5 +4006,5 @@
 
  vektor cílových hodnot a matici 
-\begin_inset Formula $\mathbf{\Phi}=\left[\phi(\mathbf{x}^{(1)}-\bar{\mathbf{x}}(k))\ldots\phi(\mathbf{x}^{(M)}-\bar{\mathbf{x}}(k))\right]$
+\begin_inset Formula $\mathbf{\Phi}=\left[\phi(x^{(1)}-\bar{x}(k))\ldots\phi(x^{(M)}-\bar{x}(k))\right]$
 \end_inset
 
@@ -3499,5 +4023,5 @@
 \begin_layout Standard
 Protože je průměrná trajektorie 
-\begin_inset Formula $\bar{\mathbf{x}}(k)$
+\begin_inset Formula $\bar{x}(k)$
 \end_inset
 
@@ -3505,5 +4029,5 @@
  vycentrována v tomto bodě.
  Množina 
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)}\right\} $
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
 \end_inset
 
@@ -3513,5 +4037,5 @@
 
 , položíme 
-\begin_inset Formula $\mathbf{x}^{(n)}=\bar{\mathbf{x}}(k)+\varepsilon^{(n)}$
+\begin_inset Formula $x^{(n)}=\bar{x}(k)+\varepsilon^{(n)}$
 \end_inset
 
@@ -3526,14 +4050,14 @@
 .
  Množina
-\begin_inset Formula $\left\{ \mathbf{x}^{(n)}\right\} $
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
 \end_inset
 
  se pak jakoby pohybuje podél trajektorie 
-\begin_inset Formula $\bar{\mathbf{x}}(k)$
+\begin_inset Formula $\bar{x}(k)$
 \end_inset
 
 .
  Tedy 
-\begin_inset Formula $\tilde{V}(k,\mathbf{x}^{(n)})=\phi(\varepsilon^{(n)})^{T}\mathbf{w}(k)$
+\begin_inset Formula $\tilde{V}(k,x^{(n)})=\phi(\varepsilon^{(n)})^{T}\mathbf{w}(k)$
 \end_inset
 
@@ -3554,4 +4078,88 @@
 
 \begin_layout Standard
+V tomto odstavci jsou uvedeny předběžné odhady vlastností algoritmu, jeho
+ výhody a nevýhody.
+ Tyto odhady byly učiněny na základě popisu algoritmu, dále podle samotného
+ hodnocení autorů v článku 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "TodorovTassaILDP"
+
+\end_inset
+
+ a následně i v průběhu implementace metody.
+ Později budou konfrontovány s pozorováními získaných výsledků a závěry
+ simulací, aby bylo zřejmé, která očekávání byla naplněna, a která nikoliv.
+ Tento postup může být velmi užitečný zejména z důvodu posouzení, které
+ charakteristické vlastnosti algoritmu iLDP jsou patrny pouze při letmém
+ prostudovaní a naopak, pro které je nutno algoritmus implementovat a otestovat.
+\end_layout
+
+\begin_layout Paragraph
+Výhody
+\end_layout
+
+\begin_layout Itemize
+duální metoda (lépe se vypořádá s neznalostí oproti neduálním metodám, například
+ LQG)
+\end_layout
+
+\begin_layout Itemize
+lepší zvládnutí šumu
+\end_layout
+
+\begin_layout Itemize
+vyšší přesnost
+\end_layout
+
+\begin_layout Itemize
+rychlejší dosažení požadované hodnoty
+\end_layout
+
+\begin_layout Itemize
+možnost aplikace na mnoharozměrové stavové a řídící prostory
+\end_layout
+
+\begin_layout Itemize
+univerzálnost (vychází z obecných principů)
+\end_layout
+
+\begin_layout Itemize
+svoboda ve výběru konkrétních aproximací a minimalizací
+\end_layout
+
+\begin_layout Paragraph
+Nevýhody
+\end_layout
+
+\begin_layout Itemize
+vyšší časová náročnost
+\end_layout
+
+\begin_layout Itemize
+numerické výpočty (minimalizace)
+\end_layout
+
+\begin_layout Itemize
+nepřesnost v důsledku aproximace klíčových funkcí v algoritmu
+\end_layout
+
+\begin_layout Itemize
+implementační složitost
+\end_layout
+
+\begin_layout Itemize
+problémy s volbou aproximací
+\end_layout
+
+\begin_layout Itemize
+lokálnost metody a tedy i nalezeného řešení
+\end_layout
+
+\begin_layout Itemize
+volba okolí (lokální metoda)
+\end_layout
+
+\begin_layout Standard
 \begin_inset Newpage newpage
 \end_inset
@@ -3566,4 +4174,11 @@
 \begin_layout Section
 Jednoduchý systém
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Jednoduchý-systém-pro-testovani"
+
+\end_inset
+
+
 \end_layout
 
@@ -3580,6 +4195,5 @@
 \end_inset
 
- zejména z důvodu, aby mohla být porovnána s algoritmem navrženým ve zmíněném
- zdroji.
+.
  Sami autoři 
 \begin_inset CommandInset citation
@@ -3601,12 +4215,12 @@
 \begin_layout Standard
 Jedná se o integrátor s neznámým ziskem, tedy lineární časově invariantní
- systém s jedním vstupem a jedním výstupem.
+ systém s jedním vstupem a jedním výstupem
 \end_layout
 
 \begin_layout Standard
 \begin_inset Formula \begin{eqnarray}
-y_{k+1} & = & y_{k}+b_{k}u_{k}+e_{k+1},\nonumber \\
-b_{k} & \sim & N(\hat{b}_{k},P_{k}),\label{eq:simplesystem}\\
-e_{k} & \sim & N(0,\sigma^{2}),\nonumber \\
+y_{k+1} & = & y_{k}+bu_{k}+\sigma e_{k},\nonumber \\
+b & \sim & N(\hat{b},P),\label{eq:simplesystem}\\
+e_{k} & \sim & N(0,1),\nonumber \\
 \mathrm{cov}(e_{k},b_{k}) & = & 0,\;\forall k.\nonumber \end{eqnarray}
 
@@ -3658,7 +4272,7 @@
 
  minimalizující očekávanou ztrátu
-\begin_inset Formula \begin{eqnarray*}
-J_{0} & = & \left\{ \sum_{k=0}^{N-1}g_{k}\right\} ,\\
-g_{k} & = & (y_{k+1}-r_{k+1})^{2},\end{eqnarray*}
+\begin_inset Formula \begin{eqnarray}
+J_{0} & = & \left\{ \sum_{k=0}^{N-1}g_{k}\right\} ,\nonumber \\
+g_{k} & = & (y_{k+1}-r_{k+1})^{2},\label{eq:simplesystemctgg}\end{eqnarray}
 
 \end_inset
@@ -3678,13 +4292,56 @@
 
 .
-\end_layout
-
-\begin_layout Standard
-Při řešení tohoto problému je výhodné nahlížet na systému jako úlohu s hyperstav
-em 
+ Diskrétní časový krok 
+\begin_inset Formula $\Delta k$
+\end_inset
+
+ pokládáme roven jedné časové jednotce, tedy 
+\begin_inset Formula $\Delta k=1$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection
+Úpravy rovnic
+\end_layout
+
+\begin_layout Standard
+Při řešení tohoto problému je výhodné podle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "AstromHelmerssonDCIUG"
+
+\end_inset
+
+ nahlížet na systému jako úlohu s postačující statistikou 
 \begin_inset Formula $H_{k}=[y_{k},\hat{b}_{k},P_{k}].$
 \end_inset
 
- Pak první rovnici v 
+ Kde 
+\begin_inset Formula $y_{k}$
+\end_inset
+
+ reprezentuje stav původní 
+\begin_inset Formula $y_{k}$
+\end_inset
+
+, dále 
+\begin_inset Formula $\hat{b}_{k}$
+\end_inset
+
+ je střední hodnota neznámého parametru 
+\begin_inset Formula $b$
+\end_inset
+
+ a 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ jeho variance.
+\end_layout
+
+\begin_layout Standard
+Pak první rovnici v 
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -3703,18 +4360,111 @@
 
 
+\begin_inset Formula \begin{eqnarray}
+\hat{b}_{k+1} & = & \hat{b}_{k}+K_{k}(y_{k+1}-y_{k}-\hat{b}_{k}u_{k}),\nonumber \\
+P_{k+1} & = & (1-K_{k}u_{k})P_{k},\label{eq:simplesystemexbp}\\
+K_{k} & = & \frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}}.\nonumber \end{eqnarray}
+
+\end_inset
+
+Ztráta v čase 
+\begin_inset Formula $k$
+\end_inset
+
+ je 
+\begin_inset Formula \[
+J_{k}=\min_{u_{k}}\mathrm{E}_{e_{k},b}\left\{ g_{k}+J_{k+1}\mid y_{k},y_{k-1},\ldots,u_{k-1},u_{k-2},\ldots\right\} ,\]
+
+\end_inset
+
+kde se stredni hodnota pocita pres 
+\begin_inset Formula $e_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $b$
+\end_inset
+
+.
+ Systém 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystem"
+
+\end_inset
+
+ je lineární, Gaussovský a máme k dispozici sdruženou hustotu rozdělení
+ pravděpodobnosti 
+\begin_inset Formula $f(b_{k})=N(\hat{b}_{k},P_{k})$
+\end_inset
+
+ jejíž parametry se vyvíjejí rekurzivně podle 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystemexbp"
+
+\end_inset
+
+.
+ Je tedy možno upravit ztrátovou funkci 
+\begin_inset Formula $J_{k}$
+\end_inset
+
+ dosadíme-li za 
+\begin_inset Formula $g_{k}=(y_{k+1}-r_{k+1})^{2}$
+\end_inset
+
+ z 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystemctgg"
+
+\end_inset
+
+ a následně z 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystem"
+
+\end_inset
+
+ za 
+\begin_inset Formula $y_{k+1}=y_{k}+bu_{k}+\sigma e_{k}$
+\end_inset
+
+: 
 \begin_inset Formula \begin{eqnarray*}
-\hat{b}_{k+1} & = & \hat{b}_{k}+K_{k}(y_{k+1}-y_{k}-\hat{b}_{k}u_{k}),\\
-P_{k+1} & = & (1-K_{k}u_{k})P_{k},\\
-K_{k} & = & \frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}}.\end{eqnarray*}
-
-\end_inset
-
-Přičemž ztráta v čase 
+J_{k} & = & \min_{u_{k}}\mathrm{E}_{e_{k},b}\left\{ (y_{k}+bu_{k}+\sigma e_{k}-r_{k+1})^{2}+J_{k+1}\mid y_{k},y_{k-1},\ldots,u_{k-1},u_{k-2},\ldots\right\} \\
+ & = & \min_{u_{k}}\mathrm{E}_{e_{k}}\left\{ (y_{k}+\hat{b}u_{k}+\sigma e_{k}-r_{k+1})^{2}+P_{k}u_{k}^{2}\mid y_{k},y_{k-1},\ldots,u_{k-1},u_{k-2},\ldots\right\} +\\
+ &  & +\min_{u_{k}}\mathrm{E}_{e_{k},b}\left\{ J_{k+1}\mid y_{k},y_{k-1},\ldots,u_{k-1},u_{k-2},\ldots\right\} \end{eqnarray*}
+
+\end_inset
+
+A ztráta v čase 
 \begin_inset Formula $k$
 \end_inset
 
- se změní na
+ je pak vyjádřena ve tvaru
 \begin_inset Formula \[
-g_{k}=(y_{k+1}-r_{k+1})^{2}+P_{k}u_{k}^{2}.\]
+g_{k}=(y_{k}-r_{k+1})^{2}+P_{k}u_{k}^{2}.\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Následně lze zadání úlohy formulovat jako:
+\begin_inset Formula \begin{eqnarray}
+\mathrm{Rovnice\: systému:}\quad\left[\begin{array}{c}
+y_{k+1}\\
+\hat{b}_{k+1}\\
+P_{k+1}\end{array}\right] & = & \left[\begin{array}{c}
+y_{k}+\hat{b}_{k}u_{k}\\
+\hat{b}_{k}+\frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}}(y_{k+1}-y_{k}-\hat{b}_{k}u_{k})\\
+(1-\frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}}u_{k})P_{k}\end{array}\right]+\left[\begin{array}{c}
+\sigma e_{k}\\
+0\\
+0\end{array}\right]\nonumber \\
+\mathrm{Ztráta\: v\:čase}\: k\mathrm{:}\hspace{5em}g_{k} & = & (y_{k}-r_{k+1})^{2}+P_{k}u_{k}^{2}\label{eq:simplesysuplnaybP}\end{eqnarray}
 
 \end_inset
@@ -3724,13 +4474,775 @@
 
 \begin_layout Subsection
-Úpravy rovnic
+Aplikace metody CE
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Aplikace-metody-CE-naJS"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Princip metody označené jako CE (z anglického 
+\begin_inset Quotes gld
+\end_inset
+
+Certainty Equivalence
+\begin_inset Quotes grd
+\end_inset
+
+) je velmi jednoduchý.
+ Neznámé parametry v systému nahradíme jejich očekávanými hodnotami a dále
+ všechny výpočty provádíme, jako kdyby byly parametry známé.
+ Takto získáné řízení samozřejmě není duální a pokud se skutečná hodnota
+ neznámého parametru výrazněji odchyluje od očekávané hodnoty, se kterou
+ počítáme, dopouštíme se značné chyby.
+ Zmiňovaná metoda je použita jako první přiblížení a hlavně pro srovnání
+ s dalšími algoritmy.
+\end_layout
+
+\begin_layout Subsubsection
+Triviální CE regulátor
+\end_layout
+
+\begin_layout Standard
+Při návrhu prvního, nejjednoduššího regulátoru uvažujeme pouze rovnici 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystem"
+
+\end_inset
+
+ a nahradíme v ní parametr 
+\begin_inset Formula $b$
+\end_inset
+
+ jeho očekávanou hodnotou 
+\begin_inset Formula $\hat{b}$
+\end_inset
+
+, což vede na 
+\begin_inset Formula \[
+y_{k+1}=y_{k}+\hat{b}u_{k}+\sigma e_{k}.\]
+
+\end_inset
+
+Se ztrátovou funkcí nebudeme explicitně počítat.
+ Místo toho předpokládáme, že ztráta bude minimální, dosáhlneme-li požadované
+ hodnoty 
+\begin_inset Formula $r_{k+1}$
+\end_inset
+
+ v jednom kroku.
+ Položíme tedy 
+\begin_inset Formula $y_{k+1}=r_{k+1}$
+\end_inset
+
+, šum neuvažujeme (respektive jej nahradíme jeho střední hodnotou, což je
+ nula) a z rovnice vyjádříme řízení 
+\begin_inset Formula $u_{k}$
+\end_inset
+
+ v čase 
+\begin_inset Formula $k$
+\end_inset
+
+ jako
+\begin_inset Formula \[
+u_{k}=\frac{r_{k+1}-y_{k}}{\hat{b}}.\]
+
+\end_inset
+
+Zde je samozřejmě nutné předpokládat, že očekávaná hodnota 
+\begin_inset Formula $\hat{b}$
+\end_inset
+
+ není rovna nule.
+ Tento předpoklad může být omezující, protože z pohledu původní rovnice
+ s neznámým parametrem 
+\begin_inset Formula $b$
+\end_inset
+
+ nastane problém pouze, když samotný parametr 
+\begin_inset Formula $b$
+\end_inset
+
+ nabývá hodnoty nula.
+ To pak zřejmě řízení nemá na systém žádný vliv.
+ Chceme-li tento přístup použít pro libovolné 
+\begin_inset Formula $\hat{b}$
+\end_inset
+
+ (tedy i pro 
+\begin_inset Formula $\hat{b}=0$
+\end_inset
+
+), je možno například volit jmenovatel zlomku ve výrazu pro řízení místo
+ 
+\begin_inset Formula $\hat{b}$
+\end_inset
+
+ jako 
+\begin_inset Formula $\hat{b}+\varepsilon$
+\end_inset
+
+ s vhodným parametrem 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+, následně pak
+\begin_inset Formula \[
+u_{k}=\frac{r_{k+1}-y_{k}}{\hat{b}+\varepsilon},\quad\hat{b}+\varepsilon\neq0.\]
+
+\end_inset
+
+
 \end_layout
 
 \begin_layout Subsection
-Konkrétní užití
+Algoritmus LQG
+\end_layout
+
+\begin_layout Standard
+Algoritmus LQG (
+\begin_inset Quotes gld
+\end_inset
+
+Linear-Quadratic-Gaussian
+\begin_inset Quotes grd
+\end_inset
+
+) je vhodný k nalezení řízení pro lineární systémy s kvadratickou ztrátovou
+ funkci a gaussovským šumem.
+ To je sice případ zde uvažovaného 
+\emph on
+jednoduchého systému
+\emph default
+, ale algoritmus LQG není duální.
+ Nedokáže si tedy poradit s neznámým parametrem 
+\begin_inset Formula $b$
+\end_inset
+
+ a je nutné použít nějaké aproximace.
+ Opět tedy využijeme principu CE a nahradíme parametr 
+\begin_inset Formula $b$
+\end_inset
+
+ jeho očekávanou hodnotou 
+\begin_inset Formula $\hat{b}$
+\end_inset
+
+.
+ LQG algoritmus využívá Kalmanova filtru a dokáže tedy lépe zvládat šumy
+ a nepřesnosti měření.
+\end_layout
+
+\begin_layout Subsubsection
+LQG regulátor
+\end_layout
+
+\begin_layout Standard
+Jak již bylo zmíněno v předchozím textu, řízení LQG je založeno na principu
+ separace, tedy estimátor a regulátor jsou navrhovány zvlášť.
+ Máme-li k dispozici matice, popisující systém, stačí pro nalezení řízení
+ pouze dosadit do rovnic v částech 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Kalmanův-filtr"
+
+\end_inset
+
+ a 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQGkp1"
+
+\end_inset
+
+.
+ Tento postup můžeme aplikovat na matice získané z rovnice 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystem"
+
+\end_inset
+
+, pak získáme jednoduché řízení, které ale předpokládá parametr 
+\begin_inset Formula $b$
+\end_inset
+
+ známý a jedná se tedy o princip CE.
+ Matice systému budou v tomto případě 
+\begin_inset Formula \begin{eqnarray*}
+A & = & 1,\quad B=\hat{b},\\
+C & = & 1,\quad N=\sigma.\end{eqnarray*}
+
+\end_inset
+
+A úpravou ztrátové funkce
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+
+\begin_inset Formula \begin{eqnarray*}
+\mathbf{E}\left\{ \sum_{k=0}^{N-1}g_{k}\right\}  & = & \mathbf{E}\left\{ \sum_{k=0}^{N-1}\left(y_{k+1}-r_{k+1}\right)^{2}\right\} \\
+ & = & \mathbf{E}\left\{ \sum_{k=0}^{N-1}\psi_{k+1}^{2}\right\} =\mathrm{E}\left\{ \sum_{k=0}^{N-1}\left(\psi_{k+1}^{T}Q_{k}\psi_{k+1}\right)\right\} ,\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\psi_{k}$
+\end_inset
+
+ reprezentuje rozdíl 
+\begin_inset Formula $y_{k}-r_{k}$
+\end_inset
+
+, získáme matice 
+\begin_inset Formula $Q$
+\end_inset
+
+ a 
+\begin_inset Formula $R$
+\end_inset
+
+ ve tvaru
+\begin_inset Formula \[
+Q=1,\quad R=0.\]
+
+\end_inset
+
+
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\noun default
+\color inherit
+ 
+\end_layout
+
+\begin_layout Standard
+Nebo se můžeme pokusit o aplikaci na systém 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesysuplnaybP"
+
+\end_inset
+
+, který vznikl úpravou systému 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesystem"
+
+\end_inset
+
+ a odhaduje očekávanou hodnotu a varianci neznámého parametru 
+\begin_inset Formula $b$
+\end_inset
+
+, ale není lineární.
+ Je tedy třeba systém 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesysuplnaybP"
+
+\end_inset
+
+ linearizovat, nejlépe v každém časovém kroku 
+\begin_inset Formula $k$
+\end_inset
+
+.
+ Potřebujeme tedy nějakou reprezentativní trajektorii a systém následně
+ linearizujeme rozvojem do prvního řádu do Taylorovy řady se středem v této
+ trajektorii a tento postup opakujeme pro každý čas 
+\begin_inset Formula $k$
+\end_inset
+
+.
+ Následně získáme matice linearizovaného systému
+\begin_inset Formula \begin{eqnarray*}
+A_{k} & =\frac{\partial}{\partial(y_{k},\hat{b}_{k},P_{k})}\left[\begin{array}{c}
+y_{k+1}\\
+\hat{b}_{k+1}\\
+P_{k+1}\end{array}\right]= & \left(\begin{array}{ccc}
+1 & u_{k} & 0\\
+-\frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}} & 1-\frac{u_{k}^{2}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}} & \frac{u_{k}\sigma^{2}\left(y_{k+1}-y_{k}-\hat{b}u_{k}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\\
+0 & 0 & 1-\frac{u_{k}^{2}P_{k}\left(u_{k}^{2}P_{k}+2\sigma^{2}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\end{array}\right),\\
+B_{k} & =\frac{\partial}{\partial u_{k}}\left[\begin{array}{c}
+y_{k+1}\\
+\hat{b}_{k+1}\\
+P_{k+1}\end{array}\right]= & \left(\begin{array}{c}
+\hat{b}\\
+\frac{\left(P_{k}\sigma^{2}-u_{k}^{2}P_{k}^{2}\right)\left(y_{k+1}-y_{k}+2\hat{b}u_{k}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\\
+-\frac{2u_{k}P_{k}^{2}\sigma^{2}}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\end{array}\right).\end{eqnarray*}
+
+\end_inset
+
+Matice pro výpočet Kalmanova filtru jsou v čase konstantní a rovny 
+\begin_inset Formula \[
+C_{k}=\left(\begin{array}{ccc}
+1 & 0 & 0\end{array}\right),\quad N_{k}=\sigma.\]
+
+\end_inset
+
+Pro ztrátovou funkci upravíme ztrátu systému 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:simplesysuplnaybP"
+
+\end_inset
+
+ 
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+následovně
+\begin_inset Formula \begin{eqnarray*}
+\mathbf{E}\left\{ \sum_{k=0}^{N-1}g_{k}\right\}  & = & \mathbf{E}\left\{ \sum_{k=0}^{N-1}\left((y_{k}-r_{k+1})^{2}+P_{k}u_{k}^{2}\right)\right\} \\
+ & = & \mathbf{E}\left\{ \sum_{k=0}^{N-1}\left(\psi_{k}^{2}+P_{k}u_{k}^{2}\right)\right\} =\mathrm{E}\left\{ \sum_{k=0}^{N-1}\left(\psi_{k}^{T}Q_{k}\psi_{k}+u_{k}^{T}R_{k}u_{k}\right)\right\} \end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\psi_{k}$
+\end_inset
+
+ reprezentuje rozdíl 
+\begin_inset Formula $y_{k}-r_{k+1}$
+\end_inset
+
+.
+ Pak matice pro kvadratickou ztrátovou funkci 
+\begin_inset Formula $Q$
+\end_inset
+
+ a 
+\begin_inset Formula $R$
+\end_inset
+
+ jsou
+\begin_inset Formula \begin{eqnarray*}
+Q_{N} & = & \theta\\
+Q_{k} & = & \left(\begin{array}{ccc}
+1 & 0 & 0\\
+0 & 0 & 0\\
+0 & 0 & 0\end{array}\right)\\
+R_{k} & = & P_{k}\end{eqnarray*}
+
+\end_inset
+
+
 \end_layout
 
 \begin_layout Subsection
-Pozorované výsledky
+iLQG
+\end_layout
+
+\begin_layout Standard
+Metoda iLQG je v podstatě rozšířením základního algoritmu pro nalezení LQ
+ řízení a v triviálním případě se na tento algoritmus i redukuje.
+ Proto většinu z veličin charakterizujících systém, potřebných pro výpočet
+ iLQG řízení, můžeme převzít z předchozí části o aplikaci LQG regulátoru.
+ Postup jejich výpočtu je totiž prakticky totožný.
+ 
+\end_layout
+
+\begin_layout Subsubsection
+iLQG řízení
+\end_layout
+
+\begin_layout Standard
+Veličiny budou uvedeny pouze pro případ jednoduchého systému s postačující
+ statistikou, odhadující parametr 
+\begin_inset Formula $b.$
+\end_inset
+
+ Přičemž obecný tvar parametrů vychází z systému definovaného v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:systemilqgdef"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+\begin_inset Formula \begin{eqnarray*}
+A_{k} & = & I+\frac{\partial f}{\partial x}\cdot\Delta k=\left(\begin{array}{ccc}
+1 & u_{k} & 0\\
+-\frac{u_{k}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}} & 1-\frac{u_{k}^{2}P_{k}}{u_{k}^{2}P_{k}+\sigma^{2}} & \frac{u_{k}\sigma^{2}\left(y_{k+1}-y_{k}-\hat{b}u_{k}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\\
+0 & 0 & 1-\frac{u_{k}^{2}P_{k}\left(u_{k}^{2}P_{k}+2\sigma^{2}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\end{array}\right),\\
+B_{k} & = & \frac{\partial f}{\partial u}\cdot\Delta k=\left(\begin{array}{c}
+\hat{b}\\
+\frac{\left(P_{k}\sigma^{2}-u_{k}^{2}P_{k}^{2}\right)\left(y_{k+1}-y_{k}+2\hat{b}u_{k}\right)}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\\
+-\frac{2u_{k}P_{k}^{2}\sigma^{2}}{\left(u_{k}^{2}P_{k}+\sigma^{2}\right)^{2}}\end{array}\right),\\
+\mathbf{c}_{i,k} & = & F^{[i]}\cdot\sqrt{\Delta k}=\left(\begin{array}{c}
+\sigma\\
+0\\
+0\end{array}\right),\\
+C_{i,k} & = & \frac{\partial F^{[i]}}{\partial u}\cdot\sqrt{\Delta k}=0,\\
+q_{k} & = & l\cdot\Delta k=(y_{k}-r_{k+1})^{2}+P_{k}u_{k}^{2},\\
+\mathbf{q}_{k} & = & \frac{\partial l}{\partial x}\cdot\Delta k=\left(\begin{array}{c}
+2(y_{k}-r_{k+1})\\
+0\\
+u_{k}^{2}\end{array}\right),\\
+Q_{k} & = & \frac{\partial^{2}l}{\partial x\partial x}\cdot\Delta k=\left(\begin{array}{ccc}
+2 & 0 & 0\\
+0 & 0 & 0\\
+0 & 0 & 0\end{array}\right),\\
+P_{k} & = & \frac{\partial^{2}l}{\partial u\partial x}\cdot\Delta k=\left(\begin{array}{c}
+0\\
+0\\
+2u_{k}\end{array}\right),\\
+\mathbf{r}_{k} & = & \frac{\partial l}{\partial u}\cdot\Delta k=2P_{k}u_{k},\\
+R_{k} & = & \frac{\partial^{2}l}{\partial u\partial u}=2P_{k}.\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsection
+iLDP
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:iLDP-js-implementace"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Algoritmus implementujeme podle základní osnovy uvedené v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:iLDP-Osnova-algoritmu"
+
+\end_inset
+
+ přičemž detaily implementace jsou voleny následovně:
+\end_layout
+
+\begin_layout Description
+Volba
+\begin_inset space ~
+\end_inset
+
+okolí 
+\emph on
+
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\emph default
+
+\begin_inset Newline newline
+\end_inset
+
+Množina stavů 
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
+\end_inset
+
+ je volena jako náhodná veličina s normálním rozdělením se střední hodnotou
+ rovnou průměrnému stavu 
+\begin_inset Formula $\bar{x}(k)$
+\end_inset
+
+ a rozptylem specifikovaným parametrem 
+\begin_inset Formula $\rho^{2}$
+\end_inset
+
+.
+ Tedy 
+\begin_inset Formula $x_{k}^{(n)}=\overline{x}(k)+\varepsilon_{k}^{(n)}$
+\end_inset
+
+, kde 
+\begin_inset Formula $\varepsilon_{k}^{(n)}\sim N(0,\rho^{2})$
+\end_inset
+
+ .
+ Samotný parametr 
+\begin_inset Formula $\rho^{2}$
+\end_inset
+
+ pak volíme v řádu šumu, popřípadě o řád větší, aby okolí postihlo možné
+ změny trajektorie v důsledku šumu, ale současně nezasahovalo příliš daleko.
+\begin_inset Newline newline
+\end_inset
+
+Počet vzorků 
+\begin_inset Formula $M$
+\end_inset
+
+ je zde konkrétně volen 
+\begin_inset Formula $100$
+\end_inset
+
+ což se ukazuje jako dostatečné množství dat pro výpočet koeficientů aproximací.
+\end_layout
+
+\begin_layout Description
+Minimalizace 
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\begin_inset Newline newline
+\end_inset
+
+Zde použitá minimalizace je neomezená, je tedy užito minimalizační funkce
+ programu 
+\emph on
+Matlab 
+\emph default
+(
+\emph on
+Optimization Toolbox
+\emph default
+) 
+\family typewriter
+fminunc
+\family default
+.
+\end_layout
+
+\begin_layout Description
+Aproximace
+\begin_inset space ~
+\end_inset
+
+řízení 
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\begin_inset Newline newline
+\end_inset
+
+Aproximace zpětnovazebního řízení v tomto případě vychází z 
+\emph on
+triviálního CE regulátoru
+\emph default
+ navrženého v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Aplikace-metody-CE-naJS"
+
+\end_inset
+
+, který rozšiřuje
+\begin_inset Formula \begin{eqnarray*}
+\mathrm{CE\: regulátor:}\hspace{3em}u_{k} & = & \frac{r_{k+1}-y_{k}}{\hat{b}+\varepsilon},\quad\hat{b}+\varepsilon\neq0,\\
+\mathrm{Aproximace\:\mathrm{řízení}}\mathrm{:\quad}\pi(k,x) & = & \frac{r_{k+1}-K_{1}y_{k}}{K_{2}\hat{b}_{k}+K_{3}P_{k}+K_{4}}.\end{eqnarray*}
+
+\end_inset
+
+Koeficienty aproximace 
+\begin_inset Formula $K_{1\ldots4}$
+\end_inset
+
+ vypočítáme v každém čase 
+\begin_inset Formula $k$
+\end_inset
+
+ z množiny hodnot 
+\begin_inset Formula $\left\{ x^{(n)},u^{(n)}\right\} $
+\end_inset
+
+ lineární regresí, tedy metodou nejmenších čtverů.
+ Provedeme následující úpravy
+\begin_inset Formula \begin{eqnarray*}
+\left(K_{2}\hat{b}_{k}+K_{3}P_{k}+K_{4}\right)\pi(k,x) & = & r_{k+1}-K_{1}y_{k},\\
+\left(\begin{array}{cccc}
+y_{k} & \hat{b}_{k}\pi(k,x) & P_{k}\pi(k,x) & \pi(k,x)\end{array}\right)\left(\begin{array}{c}
+K_{1}\\
+K_{2}\\
+K_{3}\\
+K_{4}\end{array}\right) & = & r_{k+1}.\end{eqnarray*}
+
+\end_inset
+
+Rovnici označíme jako
+\begin_inset Formula \[
+\Psi K=R.\]
+
+\end_inset
+
+Následně dosadíme do 
+\begin_inset Formula $\Psi$
+\end_inset
+
+ vypočítaná 
+\begin_inset Formula $x_{k}$
+\end_inset
+
+ za 
+\begin_inset Formula $\left(\begin{array}{ccc}
+y_{k} & \hat{b}_{k} & P_{k}\end{array}\right)^{T}$
+\end_inset
+
+a odpovídající vypočítaná 
+\begin_inset Formula $u$
+\end_inset
+
+ za 
+\begin_inset Formula $\pi(k,n)$
+\end_inset
+
+, kdy dosazujeme celé vektory v 
+\begin_inset Formula $n$
+\end_inset
+
+.
+ Tedy výsledné 
+\begin_inset Formula $\Psi$
+\end_inset
+
+ je maticí rozměru 
+\begin_inset Formula $n\times4$
+\end_inset
+
+.
+ Aby mohla být rovnice splněna, položíme 
+\begin_inset Formula $R=r_{k+1}\left(\begin{array}{cccc}
+1 & 1 & \ldots & 1\end{array}\right)^{T}$
+\end_inset
+
+, tedy sloupcový vektor ze samých 
+\begin_inset Formula $r_{k+1}$
+\end_inset
+
+.
+ A koeficienty 
+\begin_inset Formula $K$
+\end_inset
+
+ vypočítáme metodou nejmenších čtverců jako
+\begin_inset Formula \[
+K=\left(\Psi^{T}\Psi\right)^{-1}\Psi R.\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Description
+Aproximace
+\begin_inset space ~
+\end_inset
+
+Bellmanovy
+\begin_inset space ~
+\end_inset
+
+funkce 
+\begin_inset ERT
+status open
+
+\begin_layout Plain Layout
+
+~
+\end_layout
+
+\end_inset
+
+
+\begin_inset Newline newline
+\end_inset
+
+Aproximace Bellmanovy funkce je volena po vzoru dle 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Konkrétní-použité-aproximace-iLDP"
+
+\end_inset
+
+ jako lineární kombinace devíti základních funkcí
+\begin_inset Formula \[
+1,\; y_{k},\;\hat{b}_{k},\;\ln P_{k},\; y_{k}^{2},\; y_{k}\hat{b}_{k},\; y_{k}\ln P_{k},\;\hat{b}_{k}^{2},\;\hat{b}_{k}\ln P_{k}.\]
+
+\end_inset
+
+Kdy se koeficienty aproximace určují lineární regresí podle vzorce uvedeného
+ v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Konkrétní-použité-aproximace-iLDP"
+
+\end_inset
+
+.
+ Proměnná 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ vystupuje v souboru základních funkcí v logaritmu z výpočetních důvodů.
+ Nejdříve bylo užito základnich funkcí pro 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ bez logaritmů, ale výpočet koeficientů aproximace selhával, protože matice
+ 
+\begin_inset Formula $\Phi\Phi^{T}$
+\end_inset
+
+ vystupující ve vzorci pro lineární regresi byla blízko singulární matici.
+ To způsobilo problémy, při její následné inverzi, proto bylo 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ nahrazeno v bázových funkcích 
+\begin_inset Formula $\ln P_{k}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection
+Metodika testování algoritmů
+\end_layout
+
+\begin_layout Standard
+(metodika získávání výsledků)
 \end_layout
 
@@ -3816,13 +5328,50 @@
  Tedy jediné měřitelné veličiny jsou:
 \begin_inset Formula \[
-y_{t}=\left[i_{\alpha}(t),i_{\beta}(t),u_{\alpha}(t),u_{\beta}(t)\right].\]
+y(t)=\left(i_{\alpha}(t),i_{\beta}(t)\right),u_{\alpha}(t),u_{\beta}(t).\]
 
 \end_inset
 
 Které samozřejmě můžeme měřit jen s určitou přesností.
-\end_layout
-
-\begin_layout Standard
-Diskretizace modelu 
+ Dále předpokládáme, že vstupy 
+\begin_inset Formula $u_{\alpha}$
+\end_inset
+
+ a 
+\begin_inset Formula $u_{\beta}$
+\end_inset
+
+ jsou omezené a tato omezení jsou známa.
+ Nyní chceme dosáhnout požadovaných otáček rotoru 
+\begin_inset Formula $\overline{\omega}(t)$
+\end_inset
+
+ (skutečnou hodnotu 
+\begin_inset Formula $\omega(t)$
+\end_inset
+
+ neznáme, pouze ji odhadujeme ze známých hodnot 
+\begin_inset Formula $y(t)$
+\end_inset
+
+).
+\end_layout
+
+\begin_layout Subsection
+Úprava rovnic
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Úprava-rovnic-PMSM"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Diskretizace
+\end_layout
+
+\begin_layout Standard
+Provedení diskretizace modelu 
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -3881,12 +5430,189 @@
 
 Tyto rovnice můžeme chápat jako popis systému se stavem 
-\begin_inset Formula $x_{k}=\left[i_{\alpha,k},i_{\beta,k},\omega_{k},\vartheta_{k}\right]$
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection
-Úprava rovnic
+\begin_inset Formula $x_{k}=\left(i_{\alpha,k},i_{\beta,k},\omega_{k},\vartheta_{k}\right)$
+\end_inset
+
+, kde předchozí soustavu rovnic zapíšeme jako 
+\begin_inset Formula $x_{k+1}=g(x_{k},u_{k})$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsubsection
+Odhad stavu
+\end_layout
+
+\begin_layout Standard
+O skutečném stavu systému 
+\begin_inset Formula $x_{k}$
+\end_inset
+
+ máme informaci pouze v podobě měření 
+\begin_inset Formula $y_{k}=\left(i_{\alpha,k},i_{\beta,k}\right)$
+\end_inset
+
+.
+ Vlastní vývoj stavových proměnných může být ovlivněn šumem, pro jednoduchost
+ předpokládáme Gaussovský šum s nulovou střední hodnotou a kovarianční maticí
+ 
+\begin_inset Formula $M_{k}$
+\end_inset
+
+.
+ Pozorování stavu, tedy výstup 
+\begin_inset Formula $y_{k}$
+\end_inset
+
+ je zatížen chybou měření, která je způsobena zaokrouhlením skutečné hodnoty
+ na rozlišovací hodnotu stupnice přístroje.
+ Z důvodu zjednodušení ale předpokládáme, že chyba měření bude mít ve výsledku
+ normální rozdělení s nulovou střední hodnotou a kovarianční maticí 
+\begin_inset Formula $N_{k}$
+\end_inset
+
+.
+ K stejnému závěru bychom mohli dojít i použitím 
+\emph on
+centrální limitní věty
+\emph default
+ z teorie pravděpodobnosti.
+ Tedy na vnitřní stav systému i na výstup můžeme pohlížet jako na náhodné
+ veličiny s normálním rozdělením
+\begin_inset Formula \begin{eqnarray*}
+x_{k+1} & \sim & N\left(g(x_{k}),M_{k}\right),\\
+y_{k} & \sim & N\left(\left(\begin{array}{c}
+i_{\alpha,k}\\
+i_{\beta,k}\end{array}\right),N_{k}\right).\end{eqnarray*}
+
+\end_inset
+
+Nyní využijeme toho, že Kalmanův filtr je optimálním pozorovatelem lineárního
+ systému s Gaussovským šumem.
+ Zde uvažovaný systém 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:pmsmdiskretni"
+
+\end_inset
+
+ není lineární, ale můžeme využít nelineární verze Kalmanova filtru, označované
+ jako 
+\emph on
+rozšířený Kalmanův filtr
+\emph default
+ (Extended Kalman filter), který systém linearizuje v každém časovém kroku.
+ Rovnice pro výpočet odhadu stavu pak budou následující
+\begin_inset Formula \begin{eqnarray}
+\hat{x}_{k+1} & = & g(\hat{x}_{k})-K\left(y_{k+1}-h(\hat{x}_{k})\right),\nonumber \\
+K & = & P_{k}C_{k}^{T}\left(C_{k}P_{k}C_{k}^{T}+N_{k}\right)^{-1},\label{eq:pmsp-odhadstavu-rovnice}\\
+P_{k+1} & = & A_{k}\left(P_{k}-P_{k}C_{k}^{T}\left(C_{k}P_{k}C_{k}^{T}+N_{k}\right)^{-1}C_{k}P_{k}\right)A_{k}^{T}+M_{k},\nonumber \end{eqnarray}
+
+\end_inset
+
+kde funkce 
+\begin_inset Formula $h$
+\end_inset
+
+ je 
+\begin_inset Formula $h(x_{k})=\left(i_{\alpha,k},i_{\beta,k}\right)^{T}$
+\end_inset
+
+ a matice 
+\begin_inset Formula $A_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $C_{k}$
+\end_inset
+
+ získáme linearizecí systému v každém kroku, tedy
+\begin_inset Formula \begin{eqnarray*}
+A_{k}=\frac{d}{dx_{k}}g(x_{k},u_{k}) & = & \left(\begin{array}{cccc}
+a & 0 & b\sin\vartheta_{k} & b\omega_{k}\cos\vartheta_{k}\\
+0 & a & -b\cos\vartheta_{k} & b\omega_{k}\sin\vartheta_{k}\\
+-e\sin\vartheta_{k} & e\cos\vartheta_{k} & d & -e\left(i_{\alpha,k}\cos\vartheta_{k}+i_{\beta,k}\sin\vartheta_{k}\right)\\
+0 & 0 & \Delta k & 1\end{array}\right),\\
+C_{k}=\frac{d}{dx_{k}}h(x_{k}) & = & \left(\begin{array}{cccc}
+1 & 0 & 0 & 0\\
+0 & 1 & 0 & 0\end{array}\right).\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Ztrátová funkce
+\end_layout
+
+\begin_layout Standard
+Cílem je dosáhnout požadovaných otáček rotoru 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+.
+ Pro zjednodušení uvažujme aditivní kvadratickou ztrátovou funkci 
+\begin_inset Formula \[
+J=\mathrm{E}\left\{ \sum_{k=0}^{N-1}l(x_{k},u_{k})\right\} ,\]
+
+\end_inset
+
+kdy ztráta v každém časovém kroku 
+\begin_inset Formula $k$
+\end_inset
+
+ je
+\begin_inset Formula \[
+l(x_{k},u_{k})=(\omega_{k}-\overline{\omega}_{k})^{2}+r(u_{\alpha,k}^{2}+u_{\beta,k}^{2}),\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $r$
+\end_inset
+
+ je vhodný parametr penalizace za vstupy, který je ovšem potřeba doladit.
+ Tento výraz můžeme upravit do maticové podoby
+\begin_inset Formula \begin{eqnarray*}
+l(x_{k},u_{k}) & = & \left(\omega_{k}-\overline{\omega}_{k}\right)Q\left(\omega-\overline{\omega}_{k}\right)+\left(u_{\alpha,k},u_{\beta,k}\right)\left(\begin{array}{cc}
+r & 0\\
+0 & r\end{array}\right)\left(\begin{array}{c}
+u_{\alpha,k}\\
+u_{\beta,k}\end{array}\right)\\
+ & = & \psi_{k}^{T}Q\psi_{k}+u_{k}^{T}Ru_{k},\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\psi_{k}$
+\end_inset
+
+ značí rozdíl vektoru stavu a pořadované hodnoty 
+\begin_inset Formula $\psi_{k}=x_{k}-\overline{x}_{k}$
+\end_inset
+
+ a matice 
+\begin_inset Formula $Q$
+\end_inset
+
+ a 
+\begin_inset Formula $R$
+\end_inset
+
+ pak mají tvar
+\begin_inset Formula \begin{eqnarray*}
+Q & = & \left(\begin{array}{cccc}
+0 & 0 & 0 & 0\\
+0 & 0 & 0 & 0\\
+0 & 0 & 1 & 0\\
+0 & 0 & 0 & 0\end{array}\right),\\
+R & = & \left(\begin{array}{cc}
+r & 0\\
+0 & r\end{array}\right).\end{eqnarray*}
+
+\end_inset
+
+
 \end_layout
 
@@ -3895,6 +5621,464 @@
 \end_layout
 
+\begin_layout Standard
+K implementaci iLDP algoritmu, je nutno podotknout, že jsem zatím nevytvořil
+ funkční verzi.
+ Je to zejména z důvodu, že se nepodařilo nalézt vhodnou aproximaci Bellmanovy
+ funkce.
+ Přesto zde uvedu postup aplikace tohoto algoritmu.
+\end_layout
+
+\begin_layout Subsubsection
+Postačující statistika
+\end_layout
+
+\begin_layout Standard
+Pro aplikaci iLDP metody je vhodné nejdříve zavést postačující statistiku.
+ Volme tedy 
+\begin_inset Formula $\tilde{S}_{k}=\left(\hat{x}_{k},P_{k}\right)$
+\end_inset
+
+, kde 
+\begin_inset Formula $\hat{x}_{k}$
+\end_inset
+
+ má význam odhadu stavu a 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ kovarianční matice, přičemž tyto parametry se vyvíjejí v čase podle rovnic
+ 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:pmsp-odhadstavu-rovnice"
+
+\end_inset
+
+.
+ Následně, kdybychom chtěli zahrnout do aproximace Bellmanovy funkce všechny
+ členy 
+\begin_inset Formula $\tilde{S}_{k}$
+\end_inset
+
+, jednlo by se o příliš velké množství dat.
+ Samotný vektor 
+\begin_inset Formula $\hat{x}_{k}$
+\end_inset
+
+ má v každém čase 
+\begin_inset Formula $k$
+\end_inset
+
+ čtyři složky a koverianční matice 
+\begin_inset Formula $P_{k}$
+\end_inset
+
+ pak šestnáct složek.
+ Hledáme-li aproximaci Bellmanovy funkce po vzoru 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Konkrétní-použité-aproximace-iLDP"
+
+\end_inset
+
+, získáme dvacet členů prvního řádu a mnohonásobně víc členů druhého řádu.
+ V takovémto případě je implementace algoritmu prakticky nemožná, omezíme
+ se tedy na postačující statistiku ve tvaru 
+\begin_inset Formula $S_{k}=\left(\hat{x}_{k},P_{k}^{(3,3)},P_{k}^{(4,4)}\right)$
+\end_inset
+
+, odhadu stavu a variancí odhadů složek rychlosti a otáček, které právě
+ nemůžeme měřit.
+\end_layout
+
+\begin_layout Subsubsection
+Detaily implementace algoritmu
+\end_layout
+
+\begin_layout Standard
+Základní návrh implementace vychází z verze algoritmu pro jednoduchý systém
+ viz 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:iLDP-js-implementace"
+
+\end_inset
+
+, kterou modifikuje a rozšiřuje.
+\end_layout
+
+\begin_layout Standard
+Okolí 
+\begin_inset Formula $\left\{ x^{(n)}\right\} $
+\end_inset
+
+ je voleno opět jako náhodná veličina s normálním rozdělením se střední
+ hodnotou rovnou průměrnému stavu 
+\begin_inset Formula $\bar{x}(k)$
+\end_inset
+
+ a rozptylem specifikovaným parametrem 
+\begin_inset Formula $\rho^{2}$
+\end_inset
+
+.
+ Počet vzorků 
+\begin_inset Formula $M$
+\end_inset
+
+ je ponechán na hodnotě 
+\begin_inset Formula $100$
+\end_inset
+
+, i když byly testovány i jiné hodnoty.
+ 
+\end_layout
+
+\begin_layout Standard
+Protože se úloha řízení synchronního motoru snaží do jisté míry přiblížit
+ realitě, uvažujeme vstupy jako omezené.
+ Tedy předpokládáme, že zdroj nemůže dodat na vstup libovolné napětí, ale
+ je třeba dodržet jistá omezení.
+ Zde budou omezení vstupů reprezentována podmínkou 
+\begin_inset Formula \[
+u_{\alpha}^{2}+u_{\beta}^{2}\leq u_{max}^{2},\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $u_{max}$
+\end_inset
+
+ předpokládáme jako zadanou konstantu.
+ Pro minimalizaci v algoritmu iLDP je tedy třeba užít omezené minimalizace,
+ zde je použita minimalizační funkce programu 
+\emph on
+Matlab 
+\emph default
+(
+\emph on
+Optimization Toolbox
+\emph default
+) 
+\family typewriter
+fmincon
+\family default
+.
+\end_layout
+
+\begin_layout Subsubsection
+Volba aproximací
+\end_layout
+
+\begin_layout Standard
+Aproximaci Bellmanovy funkce vytvoříme na základě postačující statistiky
+ 
+\begin_inset Formula $S_{k}=\left(\hat{x}_{k},P_{k}^{(3,3)},P_{k}^{(4,4)}\right)$
+\end_inset
+
+, tedy dle 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Konkrétní-použité-aproximace-iLDP"
+
+\end_inset
+
+ volíme lineární kombinace základních funkcí a na základě zkušeností s jednoduch
+ým systémem použijeme místo variancí jejich logaritmy.
+ Soubor základních funkcí je pak
+\begin_inset Formula \begin{gather*}
+1,\;\hat{x}_{k}^{(1)},\ldots,\hat{x}_{k}^{(4)},\;\ln P_{k}^{(3,3)},\;\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(1)}\right)^{2},\;\hat{x}_{k}^{(1)}\hat{x}_{k}^{(2)},\ldots,\hat{x}_{k}^{(1)}\hat{x}_{k}^{(4)},\\
+\hat{x}_{k}^{(1)}\ln P_{k}^{(3,3)},\;\hat{x}_{k}^{(1)}\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(2)}\right)^{2},\;\hat{x}_{k}^{(2)}\hat{x}_{k}^{(3)},\;\hat{x}_{k}^{(2)}\hat{x}_{k}^{(4)},\\
+\hat{x}_{k}^{(2)}\ln P_{k}^{(3,3)},\;\hat{x}_{k}^{(2)}\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(3)}\right)^{2},\;\hat{x}_{k}^{(3)}\hat{x}_{k}^{(4)},\;\hat{x}_{k}^{(3)}\ln P_{k}^{(3,3)},\\
+\hat{x}_{k}^{(3)}\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(4)}\right)^{2},\;\hat{x}_{k}^{(4)}\ln P_{k}^{(3,3)},\;\hat{x}_{k}^{(4)}\ln P_{k}^{(4,4)}.\end{gather*}
+
+\end_inset
+
+Ale i takový soubor základních funkcí může být příliš velký, proto byla
+ zkoušena i možnost s vynecháním prvních dvou členů 
+\begin_inset Formula $\hat{x}_{k}$
+\end_inset
+
+, tedy proudů 
+\begin_inset Formula $i_{\alpha}$
+\end_inset
+
+ a 
+\begin_inset Formula $i_{\beta}$
+\end_inset
+
+.
+ Naopak byly přidány kvadráty logaritmů variancí.
+ Druhý možný soubor je tedy
+\begin_inset Formula \begin{gather*}
+1,\;\hat{x}_{k}^{(3)},\;\hat{x}_{k}^{(4)},\;\ln P_{k}^{(3,3)},\;\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(3)}\right)^{2},\;\hat{x}_{k}^{(3)}\hat{x}_{k}^{(4)},\\
+\hat{x}_{k}^{(3)}\ln P_{k}^{(3,3)},\;\hat{x}_{k}^{(3)}\ln P_{k}^{(4,4)},\;\left(\hat{x}_{k}^{(4)}\right)^{2},\;\hat{x}_{k}^{(4)}\ln P_{k}^{(3,3)},\\
+\hat{x}_{k}^{(4)}\ln P_{k}^{(4,4)},\;\left(\ln P_{k}^{(3,3)}\right)^{2},\;\ln P_{k}^{(3,3)}\ln P_{k}^{(4,4)},\;\left(\ln P_{k}^{(4,4)}\right)^{2}.\end{gather*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Aproximace řízení byly volena a zkoušena v několika různých tvarech.
+ Jednalo se o přímovazební řízení 
+\begin_inset Formula $\pi(k,x)=\overline{u}_{k}$
+\end_inset
+
+, kde hodnotu řízení 
+\begin_inset Formula $\overline{u}_{k}$
+\end_inset
+
+ získáme jako střední hodnotu přes vzorky 
+\begin_inset Formula $n$
+\end_inset
+
+ všech řízení 
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+
+\begin_inset Formula $\left\{ u^{(n)}\right\} $
+\end_inset
+
+ v čase 
+\begin_inset Formula $k$
+\end_inset
+
+.
+ Dále, protože se jedná o točivý stroj, byla testována zpětnovazební aproximace
+ řízení ve tvaru lineární kombinace funcí 
+\begin_inset Formula $\sin\vartheta,\;\cos\vartheta,\;\sin^{2}\vartheta,\;\cos^{2}\vartheta$
+\end_inset
+
+.
+ Nakonec byla ještě zkoušena aproximace získaná vyjádřením veličiny 
+\begin_inset Formula $u_{k}$
+\end_inset
+
+ z rovnic systému a doplnění o koeficienty po vzoru nalezení aproximace
+ řízení v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:iLDP-js-implementace"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsubsection
+Problém aplikace iLDP
+\end_layout
+
+\begin_layout Standard
+Žádný z výše uvedených postupů nevedl k nalezení funkčního řízení, pro zadaný
+ problém synchronního motoru s permanentními magnety.
+ Jako zásadní problém zde shledávám netriviální úkol nalezení vhodných aproximac
+í.
+ V případě vícerozměrného nelineárního systému to může být velmi náročné
+ a nahodilé zkoušení volby různých aproximací zřejmě nemusí vést k cíli.
+ Jednou z možností je, vyjít z jednodušší metody, například LQG nebo modifikovan
+é iLQG, a aproximace vytvořit po vzoru jejích funkcí.
+ Pak bychom však obdrželi v podstatě stejně 
+\begin_inset Quotes gld
+\end_inset
+
+přesnou
+\begin_inset Quotes grd
+\end_inset
+
+ metodu, jako je ta, ze které jsme vyšli, jenom by byl náš algoritmus iLDP
+ časově náročnější z důvodu numerických výpočtů.
+ Vhodným kandidátem na metodu z níž by bylo možné vyjít je algoritmus LQG,
+ pomocí kterého se podařilo implementovat funkční řízení.
+\end_layout
+
 \begin_layout Subsection
-Výsledky jiných metod
+Algoritmus LQG
+\end_layout
+
+\begin_layout Standard
+Zde navržený algoritmu LQG není duální, neurčitosti v systému tedy zvládá
+ hůře než případná duální metoda.
+ Dále algoritmus předpokládá lineární systém a kvadratickou ztrátu.
+ Ztrátu jsme, z důvodu jednoduchosti, jako kvadratickou volili již na počátku,
+ je ale třeba linearizovat systém v každém časovém kroku.
+ Dále LQG je založeno na principu separace, tedy estimátor a regulátor navrhujem
+e zvlášť.
+ Estimátorem zvolíme rozšířený Kalmanův filtr, jehož rovnice jsou uvedeny
+ v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Úprava-rovnic-PMSM"
+
+\end_inset
+
+.
+ Jako regulátor použijeme LQ regulátor, který je popsán v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQGkp1"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsubsection
+Požadovaná hodnota
+\end_layout
+
+\begin_layout Standard
+Protože jednoduchý systém v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Jednoduchý-systém-pro-testovani"
+
+\end_inset
+
+ byl lineární, bylo prakticky jedno, na jakou požadovanou hodnotu jej řídíme.
+ Díky linearitě můžeme totiž hodnoty vždy posunout.
+ Regulátor LQ je navržen pro lineární systém, předpokládá tedy linearitu
+ a hledá řízení pouze na nulovou hodnotu.
+ Tedy snaží se minimalizovat odchylku od nuly.
+ Zde uvažovaný systém je ale nelineární a když chceme řídit na nenulovou
+ požadovanou hodnotu, v tomto případě jde o požadované otáčky 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+, nelze pouze nalézt LQ řízení na nulu a následně řešení posunout.
+ Je proto třeba požadovanou hodnotu již od počátku zahrnout do našich uvažování
+ a přidat ji do systému jako novou stavovou proměnou, byť může být v celém
+ časovém vývoji systému konstantní.
+\end_layout
+
+\begin_layout Standard
+Provedeme tedy substituci.
+ Chceme 
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+řídít na nulu 
+\begin_inset Formula $\omega_{k}-\overline{\omega}_{k}$
+\end_inset
+
+ rozdíl skutečných a požadovaných otáček, tuto veličinu tedy označíme jako
+ 
+\begin_inset Formula $\psi_{k}$
+\end_inset
+
+ a následně 
+\begin_inset Formula $\psi_{k}=\omega_{k}-\overline{\omega}_{k}$
+\end_inset
+
+.
+ Z tohoto výrazu si můžeme vyjádřit stavovou proměnou otáček jako 
+\begin_inset Formula $\omega_{k}=\psi_{k}+\overline{\omega}_{k}$
+\end_inset
+
+.
+ Nyní v rovnicích 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:pmsmdiskretni"
+
+\end_inset
+
+ dosadíme za 
+\begin_inset Formula $\omega_{k}$
+\end_inset
+
+ a přidáním další rovnice pro vývoj požadované hodnoty 
+\begin_inset Formula $\overline{\omega}_{k}$
+\end_inset
+
+ získáme rovnice nového systému v pěti stavových proměnných 
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\noun default
+\color inherit
+
+\begin_inset Formula \begin{eqnarray*}
+i_{\alpha,k+1} & = & ai_{\alpha,k}+b\left(\psi_{k}+\overline{\omega}_{k}\right)\sin\vartheta_{k}+cu_{\alpha,k},\\
+i_{\beta,k+1} & = & ai_{\beta,k}-b\left(\psi_{k}+\overline{\omega}_{k}\right)\cos\vartheta_{k}+cu_{\beta,k},\\
+\psi_{k+1} & = & d\left(\psi_{k}+\overline{\omega}_{k}\right)-\overline{\omega}_{k+1}+e\left(i_{\beta,k}\cos\vartheta_{k}-i_{\alpha,k}\sin\vartheta_{k}\right),\\
+\vartheta_{k+1} & = & \vartheta_{k}+\left(\psi_{k}+\overline{\omega}_{k}\right)\Delta k,\\
+\overline{\omega}_{k+1} & = & \overline{\omega}_{k}.\end{eqnarray*}
+
+\end_inset
+
+Současně se nám ale ztráta v každém časovém kroku 
+\begin_inset Formula $k$
+\end_inset
+
+ změní na
+\begin_inset Formula \[
+l(x_{k},u_{k})=\psi_{k}^{2}+r(u_{\alpha,k}^{2}+u_{\beta,k}^{2})=\psi_{k}^{T}Q\psi_{k}+u_{k}^{T}Ru_{k}.\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+LQG řizení
+\end_layout
+
+\begin_layout Standard
+Nyní můžeme na matice popisující systém
+\begin_inset Formula \begin{eqnarray*}
+A_{k}=\frac{d}{dx_{k}}g(x_{k},u_{k}) & = & \left(\begin{array}{ccccc}
+a & 0 & b\sin\vartheta_{k} & b\left(\psi_{k}+\overline{\omega}_{k}\right)\cos\vartheta_{k} & b\sin\vartheta_{k}\\
+0 & a & -b\cos\vartheta_{k} & b\left(\psi_{k}+\overline{\omega}_{k}\right)\sin\vartheta_{k} & -b\cos\vartheta_{k}\\
+-e\sin\vartheta_{k} & e\cos\vartheta_{k} & d & -e\left(i_{\alpha,k}\cos\vartheta_{k}+i_{\beta,k}\sin\vartheta_{k}\right) & \left(d-1\right)\\
+0 & 0 & \Delta k & 1 & \Delta k\\
+0 & 0 & 0 & 0 & 1\end{array}\right),\\
+B_{k}=\frac{d}{du_{k}}g(x_{k},u_{k}) & = & \left(\begin{array}{cc}
+c & 0\\
+0 & c\\
+0 & 0\\
+0 & 0\\
+0 & 0\end{array}\right),\\
+C_{k}=\frac{d}{dx_{k}}h(x_{k}) & = & \left(\begin{array}{ccccc}
+1 & 0 & 0 & 0 & 0\\
+0 & 1 & 0 & 0 & 0\end{array}\right),\\
+Q & = & \left(\begin{array}{ccccc}
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & 1 & 0 & 0\\
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & 0 & 0 & 0\end{array}\right),\\
+R & = & \left(\begin{array}{cc}
+r & 0\\
+0 & r\end{array}\right),\end{eqnarray*}
+
+\end_inset
+
+aplikovat rovnice pro rozšířený Kalmanův filtr a LQ regulátor.
+ Přičemž konkrétní hodnoty počátečních hodnot a parametrů budou specifikovány
+ v kapitole 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "cha:Výsledky"
+
+\end_inset
+
+.
 \end_layout
 
@@ -3908,4 +6092,11 @@
 \begin_layout Chapter
 Výsledky
+\begin_inset CommandInset label
+LatexCommand label
+name "cha:Výsledky"
+
+\end_inset
+
+
 \end_layout
 
@@ -3918,4 +6109,12 @@
 \end_layout
 
+\begin_layout Standard
+(testování možná i jen pro iLDP bez ostatních)
+\end_layout
+
+\begin_layout Standard
+(použité počáteční hodnoty)
+\end_layout
+
 \begin_layout Section
 Výsledky ostatních použitých metod
@@ -3923,9 +6122,29 @@
 
 \begin_layout Subsection
+Pozorované výsledky 
+\end_layout
+
+\begin_layout Standard
+(získané výsledky v podobě tabulek, grafů a bar-grafů)
+\end_layout
+
+\begin_layout Standard
+(slovní závěry pro jednotlivé metody)
+\end_layout
+
+\begin_layout Standard
+(charakteristické rysy budou rekapitulovány v závěru)
+\end_layout
+
+\begin_layout Subsection
+CE
+\end_layout
+
+\begin_layout Subsection
 LQG
 \end_layout
 
 \begin_layout Subsection
-Princip separace
+iLQG
 \end_layout
 
